## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           pop-gtk-theme
Version:        5.5.1
Release:        %autorelease
Summary:        Pop GTK Theme
# Most files: GPL-3.0-only
# Upstream Adwaita: LGPL-2.1-only
# SVG files: CC-BY-SA-4.0
License:        GPL-3.0-only AND LGPL-2.1-only AND CC-BY-SA-4.0
URL:            https://github.com/pop-os/gtk-theme
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
# https://github.com/pop-os/gtk-theme/pull/596
Patch:          0001-fix-gtk4-include-some-missing-assets-in-gresource.patch
BuildArch:      noarch

BuildRequires:  glib2-devel
BuildRequires:  meson
BuildRequires:  sassc


%description
The Pop theme for GTK.


# gtk2
%package -n pop-gtk2-theme
Summary:        Pop GTK 2 Theme
Requires:       gtk2
Requires:       gtk-murrine-engine
Supplements:    (pop-session and gtk2)

%description -n pop-gtk2-theme
%{summary}.

%files -n pop-gtk2-theme
%license COPYING COPYING.LGPL-2.1 LICENSE_CCBYSA
%dir %{_datadir}/themes/Pop
%{_datadir}/themes/Pop/gtk-2.0
%dir %{_datadir}/themes/Pop-dark
%{_datadir}/themes/Pop-dark/gtk-2.0


# gtk3
%package -n pop-gtk3-theme
Summary:        Pop GTK 3 Theme
Requires:       gnome-themes-extra
Supplements:    (pop-session and gtk3)

%description -n pop-gtk3-theme
%{summary}.

%files -n pop-gtk3-theme
%license COPYING COPYING.LGPL-2.1 LICENSE_CCBYSA
%dir %{_datadir}/themes/Pop
%{_datadir}/themes/Pop/gtk-3.0
%dir %{_datadir}/themes/Pop-dark
%{_datadir}/themes/Pop-dark/gtk-3.0


# gtk4
%package -n pop-gtk4-theme
Summary:        Pop GTK 4 Theme
Requires:       gnome-themes-extra
Supplements:    (pop-session and gtk4)

%description -n pop-gtk4-theme
%{summary}.

%files -n pop-gtk4-theme
%license COPYING COPYING.LGPL-2.1 LICENSE_CCBYSA
%dir %{_datadir}/themes/Pop
%{_datadir}/themes/Pop/gtk-4.0
%dir %{_datadir}/themes/Pop-dark
%{_datadir}/themes/Pop-dark/gtk-4.0


# shell
%package -n pop-gnome-shell-theme
Summary:        Pop GNOME Shell Theme
Requires:       gnome-shell

%description -n pop-gnome-shell-theme
%{summary}.

%files -n pop-gnome-shell-theme
%license COPYING COPYING.LGPL-2.1 LICENSE_CCBYSA
%{_datadir}/gnome-shell/theme/Pop
%{_datadir}/themes/Pop/gnome-shell
%{_datadir}/themes/Pop/index.theme
%{_datadir}/themes/Pop-dark/gnome-shell
%{_datadir}/themes/Pop-dark/index.theme


# sound
%package -n pop-sound-theme
Summary:        Pop sound theme
License:        CC-BY-SA-4.0

%description -n pop-sound-theme
%{summary}.

%files -n pop-sound-theme
%license LICENSE_CCBYSA
%{_datadir}/sounds/Pop


%prep
%autosetup -n gtk-theme-%{version} -p 1


%build
%meson -Dgnome-shell-gresource=true
%meson_build


%install
%meson_install


%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Sep 18 2023 Carl George <carlwgeorge@fedoraproject.org> - 5.5.1-1
- Update to version 5.5.1, resolves rhbz#2119905
- Switch to SPDX license identifiers

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.4.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.4.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.4.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Oct 24 2021 Carl George <carl@george.computer> - 5.4.5-1
- Latest upstream

* Fri Aug 13 2021 Carl George <carl@george.computer> - 5.3.3^1.11bcd41-1
- Initial package

* Wed Aug 11 2021 Tomas Hrcka <thrcka@redhat.com> - 2.2.3.0-6
- Revert "Orphaned for 6+ weeks"

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Nov 03 2017 Allisson Azevedo <allisson@gmail.com> - 2.2.3.0-3
- Update BuildRequires

* Tue Oct 31 2017 Allisson Azevedo <allisson@gmail.com> - 2.2.3.0-2
- Fix autosetup

* Tue Oct 31 2017 Allisson Azevedo <allisson@gmail.com> - 2.2.3.0-1
- Bump 2.2.3.0 release

* Mon Oct 16 2017 Allisson Azevedo <allisson@gmail.com> - 2.1.2.1-1
- Bump 2.1.2.1 release

* Thu Sep 07 2017 Allisson Azevedo <allisson@gmail.com> - 2.0.7.0-1
- First import
## END: Generated by rpmautospec
